Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  abstract class TreeBrowsers extends AnyRef

  Tree browsers can show the AST in a graphical and interactive way, useful for debugging and understanding.

  Tree browsers can show the AST in a graphical and interactive way, useful for debugging and understanding.

  Definition Classes
    ast
  Version

    1.0

- ASTTreeModel
- BrowserFrame
- ProgramTree
- SwingBrowser
- TextInfoPanel
- TreeInfo
- TypePrinter
- UnitTree

o

scala.tools.nsc.ast.TreeBrowsers

# TreeInfo 

###

#### object TreeInfo

Computes different information about a tree node. It is used as central place to do all pattern matching against Tree.

Source
  TreeBrowsers.scala

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TreeInfo
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def children(t: Global.Tree): List[Global.Tree]

   Return a list of children for the given tree node

6.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
16.  def symbolAttributes(t: Global.Tree): String

    Return a textual representation of (some of) the symbol's attributes

17.  def symbolText(t: Global.Tree): String

    Return a textual representation of this t's symbol

18.  def symbolTypeDoc(t: Global.Tree): Document

    Return t's symbol type

19.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  def treeName(t: Global.Tree): (String, Global.Name)

    Return the case class name and the Name, if the node defines one

22.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
23.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
24.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from AnyRef

### Inherited from Any

### Ungrouped